=== debian/control ===
Source: ros-indigo-rosbridge-server
Section: misc
Priority: extra
Maintainer: Russell Toris <rctoris@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-rosapi, ros-indigo-rosbridge-library, ros-indigo-rospy
Homepage: http://ros.org/wiki/rosbridge_server
Standards-Version: 3.9.2

Package: ros-indigo-rosbridge-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-twisted-core, ros-indigo-rosapi, ros-indigo-rosauth, ros-indigo-rosbridge-library, ros-indigo-rospy
Description: A WebSocket interface to rosbridge.
